summaryrefslogtreecommitdiff
path: root/source4/script
diff options
context:
space:
mode:
authorAndrew Tridgell <tridge@samba.org>2003-12-08 03:57:03 +0000
committerAndrew Tridgell <tridge@samba.org>2003-12-08 03:57:03 +0000
commit86d0e4b7f1971d4fd4dd5bd91d5a7e087721a239 (patch)
tree792c4171cb1e6f63f6cec75a8aae7c6f7f627d25 /source4/script
parent989788a7e837f484c6160c6bdd93b04640d62ac1 (diff)
downloadsamba-86d0e4b7f1971d4fd4dd5bd91d5a7e087721a239.tar.gz
samba-86d0e4b7f1971d4fd4dd5bd91d5a7e087721a239.tar.bz2
samba-86d0e4b7f1971d4fd4dd5bd91d5a7e087721a239.zip
cope with yapp not being installed
(This used to be commit e41d95acc016087d77712d214a52813c00923d4d)
Diffstat (limited to 'source4/script')
-rwxr-xr-xsource4/script/build_idl.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/source4/script/build_idl.sh b/source4/script/build_idl.sh
index c9594f8a80..159cd1b36c 100755
--- a/source4/script/build_idl.sh
+++ b/source4/script/build_idl.sh
@@ -5,8 +5,12 @@ FULLBUILD=$1
[ -d librpc/gen_ndr ] || mkdir -p librpc/gen_ndr || exit 1
if [ ! -f build/pidl/idl.pm -o build/pidl/idl.yp -nt build/pidl/idl.pm ]; then
- echo Rebuilding IDL parser
- ( cd build/pidl && make ) || exit 1;
+ if `which yapp`; then
+ echo Rebuilding IDL parser
+ ( cd build/pidl && make ) || exit 1;
+ else
+ echo "warning: yapp is not installed";
+ fi
fi
PIDL="build/pidl/pidl.pl --output librpc/gen_ndr/ndr_ --parse --header --parser"